
QGIS Application - Bug report #2762

Stored extents is cancelled if layers are switched off and one layer is deleted

2010-05-29 09:42 PM - Maxim Dubinin

Status: Closed

Priority: Low

Assignee: nobody -

Category: Map Canvas

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12822

Description

1. Add any 2 layers

2. Turn one off, turn another on

3. Zoom in to any part

4. Remove turned on layer

5. Load it back -> it loads in full extent again, zoom to next buttons are cleared, no previous extents are stored.

Associated revisions

Revision bd3d2aa7 - 2011-04-16 11:57 AM - Alexander Bruy

use layer count from QgsMapLayerRegistry instead of QgsMapCanvas. Fixes #2762

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15721 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision d766addf - 2011-04-16 11:57 AM - Alexander Bruy

use layer count from QgsMapLayerRegistry instead of QgsMapCanvas. Fixes #2762

git-svn-id: http://svn.osgeo.org/qgis/trunk@15721 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-08-03 12:44 PM - Maxim Dubinin

this related to adding WMS layers as well (extent is reset too)

#2 - 2011-04-16 02:57 AM - Alexander Bruy

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:d766addf (SVN r15722)
